# Generated by Django 2.2.7 on 2019-11-14 05:50

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('establishment', '0060_auto_20191113_1512'),
    ]

    operations = [
        migrations.CreateModel(
            name='SocialChoice',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=255, unique=True, verbose_name='title')),
            ],
            options={
                'verbose_name': 'social choice',
                'verbose_name_plural': 'social choices',
            },
        ),
        migrations.RemoveField(
            model_name='socialnetwork',
            name='title',
        ),
        migrations.AddField(
            model_name='socialnetwork',
            name='network',
            field=models.ForeignKey(default=1, on_delete=django.db.models.deletion.CASCADE, related_name='social_links', to='establishment.SocialChoice', verbose_name='social network'),
            preserve_default=False,
        ),
    ]
